Debian README of C/Migemo
=========================

How to use cmigemo in Emacs
---------------------------

If you want to use cmigemo in Emacs, you should also install "migemo-el",
which provides Emacsen interface for migemo.

The default setting of migemo-el is suitable for UTF-8 environment.  If
you want to use migemo-el under EUC-JP environments, you should set as
follows:

  ;;;  This is default settings of migemo-el
  ;;   @see /etc/emacs/site-start.d/50migemo-el
  ;; ----
  ;; (setq migemo-command "/usr/bin/cmigemo")
  ;; (setq migemo-options '("-q" "--emacs"))
  ;;
  ;; Default Dictionary -> UTF-8
  ;;
  ;; (setq migemo-dictionary "/usr/share/cmigemo/utf-8/migemo-dict")
  ;; (setq migemo-coding-system 'utf-8-unix)
  ;; ----
  ;; If you want to use EUC-JP
  (setq migemo-dictionary "/usr/share/cmigemo/euc-jp/migemo-dict")
  (setq migemo-coding-system 'euc-jp-unix)
  ;; load "migemo-el"
  (load-library "migemo")
  (migemo-init)

How to use cmigemo in Vim
---------------------------

If you want to use cmigemo in vim, you should also install "vim-migemo"
and put migemo.vim from /usr/share/vim/addons/plugin/migemo.vim to
~/.vim/plugin, or using vim-addon-manager as follows:

  $ vim-addons install migemo

Usage: Put

  :Migemo

Have a fun!

 -- Youhei SASAKI <uwabami@gfd-dennou.org>, Tue,  9 Jul 2013 11:01:29 +0900
